#include <time.h>
#include <stat.h>
#include "deftype.h"

long GetFileDateTime(unchar *fname,unchar fdt[],unchar ftm[])
/* ファイルの作成日時文字列を得る */
{
struct stat st;
	if (stat(fname,&st)==0) {
	    int i;
	    char *d;
		d=ctime(&st.st_ctime);
		fdt[0]=d[22];		/* 年 */
		fdt[1]=d[23];
		i=month_asc(&d[4]);	/* 月文字列->数字 */
		fdt[3]='0'+(i>=10);	/* 月 */
		fdt[4]='0'+(i%10);
		fdt[6]=d[8];		/* 日 */
		fdt[7]=d[9];
		fdt[5]=fdt[2]='/';
		fdt[8]=0;		/* EOS */
		for (i=0;i<8;i++) ftm[i]=d[i+11]; /* 時刻抜きだし */
		ftm[i]=0;
		return(st.st_size);
	}
	return(-1L);
}
